•   
  • 1
  • 269
  • 270
  • 271
  • 272(current)
  • 273
  •   
Release skin helper service
(2019-12-14, 23:51)K0D1User1138 Wrote:
(2019-12-14, 21:34)arisimo Wrote:
(2019-12-14, 17:11)K0D1User1138 Wrote: Was there a recent update to SHS?
The recent update script.module.arrow-0.12.1.zip seems to kill SHS, rolling back to script.module.arrow-0.10.0.zip will have you back in business.  
Thanks for the info! Was this something that was automatically updated and will again possibly causing the same issue? 
Yes. Use the zip file to rollback to the previous version and then turn auto update off for that addon (script.module.arrow). Once the new version of that addon is released with the fix you can turn auto update back on.
Reply
Is there any way to randomize the Next Episode list or is it even possible to populate a Smart Playlist with this Skin helper?
Reply
(2019-12-14, 21:34)arisimo Wrote:
(2019-12-14, 17:11)K0D1User1138 Wrote: Was there a recent update to SHS?
The recent update script.module.arrow-0.12.1.zip seems to kill SHS, rolling back to script.module.arrow-0.10.0.zip will have you back in business.   
The current version of the python arrow module (Krypton and up) is 0.15.5 which is equal to what is released on PyPI (0.15.4).  You can keep 0.10.0 installed, but be aware you may break other addons which expect an up-to-date arrow module.  Understand SHS is unmaintained, so a proper fix in SHS may not be easy.  There is a version of arrow 0.12.2 in the Kodi Gotham scripts branch.  Keep in mind arrow requires dateutil and backports modules, so you might need to lock versions of those as well.

scott s.
.
maintainer of skin  Aeon MQ5 mods for post-Gotham Kodi releases:
Matrix
Leia see: 304472
Reply
I also had an auto update to Version 0.12.1 a few days ago, which broke my SHS.
Now with 0.15.5 available everything works again.
Romanes eunt domus
Reply
(2019-12-18, 20:35)skippr Wrote: I also had an auto update to Version 0.12.1 a few days ago, which broke my SHS.
Now with 0.15.5 available everything works again.

Good to hear.  Because of the churn associated with the move to python3 trying to maintain old versions of addons is going to take effort.

scott s.
.
maintainer of skin  Aeon MQ5 mods for post-Gotham Kodi releases:
Matrix
Leia see: 304472
Reply
FYI, I've added a Pull Request for Kodi 19 / Python 3 compatibility for Skin Helper Service. It works for me but needs testing on Kodi 18 and in case I missed anything.
https://github.com/kodi-community-addons...e/pull/132
Reply
(2019-12-24, 13:22)AnonTester Wrote: FYI, I've added a Pull Request for Kodi 19 / Python 3 compatibility for Skin Helper Service. It works for me but needs testing on Kodi 18 and in case I missed anything.
https://github.com/kodi-community-addons...e/pull/132

@AnonTester , thank you! Have you been successful also with skin helper widgets? If so, would you be willing to share? Thanks again.

Regards,

Bart
Reply
Yes, I've got the widgets working in py3, but the code isn't dual py2/3 yet. That's the next addon I'll be working on and I'll submit a PR when it's ready to be tested.
Reply
(2019-12-24, 15:53)AnonTester Wrote: Yes, I've got the widgets working in py3, but the code isn't dual py2/3 yet. That's the next addon I'll be working on and I'll submit a PR when it's ready to be tested.

@AnonTester, could you share a link to the working version in py3? I will only be using in in Matrix.  Thanks!

Regards,

Bart
Reply
PR for the widgets is here now: https://github.com/kodi-community-addons...ts/pull/41
Reply
(2019-12-24, 17:38)AnonTester Wrote: PR for the widgets is here now: https://github.com/kodi-community-addons...ts/pull/41

@AnonTester, thanks! Did you have to make any changes to script.module.thetvdb for the tvshow and episode widgets to work well with py3?

Regards,

Bart
Reply
yep. PR for thetvdb module is here now: https://github.com/kodi-community-addons...db/pull/10
Reply
I can't restore a skin backup!?
The backup creation works fine, but restoring a backup doesn't do anything. Also no errors in the logs... "script successfully run". 

It's kodi 18.5 on all devices together with skin.aeon.nox.silvo.
Reply
Kodi crashes on start when skin helper service from unofficial repository is installed...
What am I doing wrong here?
Reply
Hello,
1st time here.
Leia 18.4 fresh installation in a new pi4. After trying some skins, warning of skin helper service pops up and its showing evryday.
Checked forums saying "problem finished with arrow 0.15.5" but that's the version I have and the problem is still there...
¿Any idea?
If logs are needed, please feel free to ask for it. (with some instructions, please, I'm a padawan...)
Thanks in advance.
Reply
  •   
  • 1
  • 269
  • 270
  • 271
  • 272(current)
  • 273
  •   
 
Thread Rating:
  • 18 Vote(s) - 4.56 Average



Logout Mark Read Team Forum Stats Members Help
skin helper service4.5618